%define        majver %(echo %version | cut -d. -f1-3)
%define        minver %(echo %version | cut -d. -f4 | sed s/^\\\([0-9]\\\)/-\\1/)
Name:          crash
Version:       7.1.1
Release:       1mamba
Summary:       kernel crash analysis utility for live systems, netdump, diskdump, kdump, LKCD or mcore dumpfiles
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://people.redhat.com/anderson/
Source:        http://people.redhat.com/anderson/crash-%{majver}%{minver}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: binutils
BuildRequires: glibc-devel
BuildRequires: libncurses-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
Requires:      binutils
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The core analysis suite is a self-contained tool that can be used to investigate either live systems, kernel core dumps created from the netdump, diskdump and kdump packages from Red Hat Linux, the mcore kernel patch offered by Mission Critical Linux, or the LKCD kernel patch.

%package devel
Group:         Development/Libraries
Summary:       Libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libz-devel

%description devel
The core analysis suite is a self-contained tool that can be used to investigate either live systems, kernel core dumps created from the netdump, diskdump and kdump packages from Red Hat Linux, the mcore kernel patch offered by Mission Critical Linux, or the LKCD kernel patch.

This package contains libraries and header files need for development.

%prep
%setup -q -n %{name}-%{majver}%{minver}

%build
%make RPMPKG=%{majver}-%{release}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
mkdir -p %{buildroot}%{_bindir}
%makeinstall

mkdir -p %{buildroot}%{_mandir}/man8
install -pm 644 crash.8 %{buildroot}%{_mandir}/man8/crash.8
mkdir -p %{buildroot}%{_includedir}/crash
chmod 0644 defs.h
cp -p defs.h %{buildroot}%{_includedir}/crash

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/crash
%{_mandir}/man8/crash.8.gz
%doc COPYING3 README

%files devel
%defattr(-,root,root)
%dir %{_includedir}/crash
%{_includedir}/crash/*.h

%changelog
* Wed May 27 2015 Automatic Build System <autodist@mambasoft.it> 7.1.1-1mamba
- automatic version update by autodist

* Sat Feb 07 2015 Automatic Build System <autodist@mambasoft.it> 7.1.0-1mamba
- automatic version update by autodist

* Fri Nov 14 2014 Automatic Build System <autodist@mambasoft.it> 7.0.9-1mamba
- automatic version update by autodist

* Sat Sep 13 2014 Automatic Build System <autodist@mambasoft.it> 7.0.8-1mamba
- automatic version update by autodist

* Wed Jun 11 2014 Automatic Build System <autodist@mambasoft.it> 7.0.7-1mamba
- automatic version update by autodist

* Wed Apr 16 2014 Automatic Build System <autodist@mambasoft.it> 7.0.6-1mamba
- automatic version update by autodist

* Fri Feb 21 2014 Automatic Build System <autodist@mambasoft.it> 7.0.5-1mamba
- automatic version update by autodist

* Mon Oct 01 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 6.1.0-1mamba
- update to 6.1.0

* Fri Feb 18 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.8.11-1mamba
- update to 4.0.8.11

* Mon Dec 27 2010 gil <puntogil@libero.it> 4.0-2mamba
- rebuilt devel

* Fri Jul 03 2009 gil <puntogil@libero.it> 4.0-1mamba
- package created by autospec
